<p id="notice"><%= notice %></p>

<div class="row">
  <div class="col-md-7">
    <h1>Listado de compañias </h1>
    <br>
  </div>
  <div class="col-md-5">
      <%= render :partial => 'companies/search' %>
      <div class="form-inline">
        <br>
        <%= form_tag(companies_path, :method => "get", id: "search-form") do %>
          <%= text_field_tag :search, params[:search], placeholder: "Buscar compañia", :class => 'form-control'%>
        <%= submit_tag 'Buscar', :class=>'btn btn-default' %>
      </div>
    <% end %>
  </div>
</div>

<% if @companies.present? %>
  <br>
  <h4>Haga click en el nombre de la compania para ver detalles</h4>
  <br>
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Nombre</th>
        <th>Actividad Principal </th>
        <th>NIT</th>
        <th>Direccion</th>
        <!--<th>Canton</th>
        <th>Provincia</th>
        <th>Departamento</th>-->
        <th>Telefono</th>
        <!--<th>Fax</th>
        <th>Buzon</th>
        <th colspan="3"></th>-->
      </tr>
    </thead>

    <tbody>
      <% @companies.each do |company| %>
        <tr>
          <td><%=link_to company.name, company  %></td>
          <td><%= company.principal_activity %></td>
          <td><%= company.nit %></td>
          <td><%= company.address %></td>
       <!--   <td><%= company.canton %></td>
          <td><%= company.province %></td>
          <td><%= company.departament %></td>-->
          <td><%= company.phones %></td>
          <!--<td><%= company.fax %></td>
          <td><%= company.mailbox %></td>
          <td><%= link_to 'Show', company %></td>-->
          <td><%= link_to 'Editar', edit_company_path(company) %></td>
          <td><%= link_to 'Eliminar', company, method: :delete, data: { confirm: 'Confirmacion' } %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
<%else%>
  <% if params[:search] %>
    <h4>Su busqueda no generó resultados</h4>
  <%else%>
    <h4>No existen Compañias registradas este momento</h4>
  <%end%>
<%end%>
<br>

<!--<%= link_to 'New Company', new_company_path %>-->
